import { Component, h, Host } from '@stencil/core';
const demo1 = `<dvn-badge
  scale="small"
  tint="danger"
>
  New Feature
</dvn-badge>`;
const demo2 = `<dvn-badge
  tint="primary"
>
  New Feature
</dvn-badge>`;
const demo3 = `<dvn-badge
  content="3"
  scale="large"
  tint="warning"
>
  Notifications
</dvn-badge>`;
export class ShowcaseBadge {
  render() {
    return (h(Host, null,
      h("dvn-card", { leaned: true },
        h("div", { class: "d-flex" },
          h("dvn-component-demo", { domString: demo1 }),
          h("dvn-component-demo", { domString: demo2 }),
          h("dvn-component-demo", { domString: demo3 })))));
  }
  static get is() { return "showcase-badge"; }
}
